TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

IsPower ( seq() x ) -> elt-alg^boo, seq(), elt-ord^rat

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 3

### Description

<shortdoc> If x is the k-th power of an integer b with b > 1 and b minimal, return true, b and k; otherwise return false. </shortdoc>

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack